/*******************************************************************\

Copyright (c) 2008 Leiden University (LERC group at LIACS).
All rights reserved.

The use and distribution terms for this software are covered by the 
Common Public License 1.0 (http://opensource.org/licenses/cpl1.0.txt)
which can be found in the file LICENSE at the root of this distribution.
By using this software in any fashion, you are agreeing to be bound by 
the terms of this license.

You must not remove this notice, or any other, from this software.

\*******************************************************************/

#ifndef IMAGEIO_H
#define IMAGEIO_H

#include <stdio.h>

//----------------------------------------------
// mrOpen() opens a file for read
//----------------------------------------------
FILE *mrOpen(char *filename);

//-------------------------------------------------
// mwOpen() creates a file for write
//-------------------------------------------------
FILE *mwOpen(char *filename);

//------------------------------------
// mClose() closes a file
//------------------------------------
void mClose(FILE *fh);

//-------------------------------------------------------
//mGetc() gets a character from a file
//-------------------------------------------------------
int mGetc(FILE *fh);

//-------------------------------------------------
//mPutc puts a character to a file
//-------------------------------------------------
void mPutc(FILE *fh, int a);

#endif
